# class Tk::Tcllib::Tkpiechart::BoxLabeler

### Private Instance Methods

__config_cmd() click to toggle source

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 231
    def __config_cmd
      ['::switched::configure', self.tag]
    end

create_self(keys=None) click to toggle source

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 238
    def create_self(keys=None)
      if keys and keys != None
        @tag_key = tk_call_without_enc('::stooop::new', 'pieBoxLabeler',
                                       *hash_kv(keys, true))
      else
        @tag_key = tk_call_without_enc('::stooop::new', 'pieBoxLabeler')
      end

      id = "pieBoxLabeler(#{@tag_key})"
      @tag = TkcNamedTag(@c, id)

      id
    end